/*----------------------------------------------------------------------------
/
/---------------------------------------------------------------------------*/
#ifndef __SCI_H_
#define __SCI_H_

#include "lp.h"

/*-----------------------------------------------
/ *DEFINE
/----------------------------------------------*/
/* err info */
#define TXBUF_FULL	0x10
#define RXBUF_FULL	0x01

/*-----------------------------------------------
/ *EXTERN
/----------------------------------------------*/

/*-----------------------------------------------
/ *PROTOTYPE
/----------------------------------------------*/
void sci1_init(void);
int sci1_put(byte data);
void sci1_txtrg(void);
int sci1_get(void);
int sci1_puts(const byte *buf, int len);
int sci1_gets(byte *buf, int max);
int sci1_gettxfree(void);
int sci1_getrxfree(void);
byte sci1_geterr(void);

#endif
